INFOTHEMA

Auteur Sujet: [Mai 2013] Fin de la période de soutien pour Ubuntu 8.04 / 10.4 / 11.10  (Lu 2173 fois)

Animateur

  • Administrator
  • Hero Member
  • *****
  • Messages: 3210
    • Voir le profil
Fin de la période de soutien pour Ubuntu 8.04 LTS (serveur), 10.04 LTS (postes de travail) et 11.10 au début de mai

Trois versions d'Ubuntu arriveront prochainement en fin de période de maintenance. À partir du 9 mai, il n'y aura plus de soutien par Canonical pour Ubuntu 8.04 LTS The Hardy Heron (édition pour serveur), Ubuntu 10.04 LTS The Lucid Lynx (édition pour poste de travail) et Ubuntu 11.10 The Oneiric Ocelot (serveur et poste de travail).

Commencez dès maintenant à planifier vos mises à niveau. Les mises à jour de sécurité et critiques sont publiées pour une durée pré-déterminée pour chaque version d'Ubuntu. Les versions LTS pour serveur sont soutenues pendant une période de cinq ans. Pour Ubuntu 8.04 LTS The Hardy Heron, sortie le 24 avril 2008, cette période atteint son terme. Cette version a introduit un gestionnaire de pare-feu simplifié (UFW), la prise en charge de KVM directement par le noyau Linux et l'installation sur une partition iSCSI NAS. Les versions LTS à destination des postes de travail, de leur côté, sont soutenues pendant une période de trois ans.



Distribution Hardy (8.04)

Cette période tire à sa fin pour Ubuntu 10.04 LTS The Lucid Lynx, sortie le 29 avril 2010.1 Le lynx lucide aura marqué l'histoire d'Ubuntu par son radical changement d'identité visuelle -- il abandonne le marron pour des teintes violacées. Il aura aussi lancé Ubuntu One Music Store, le magasin virtuel de musique de Canonical bien intégré à Ubuntu. Et Ubuntu 10.04 LTS aura été la plate-forme sur laquelle sont apparus les indicateurs d'applications (app indicators), un des éléments précurseurs au développement de l'interface Unity. Enfin, les versions régulières sont maintenues pendant 18 mois suivant la publication de la version finale.2 Sortie le 13 octobre 2011, Ubuntu 11.10 The Oneiric Ocelot achève ce parcours. L'ocelot aura été un tournant en intégrant de nombreux changements toujours présents dans les versions actuelles d'Ubuntu : il passe au noyau Linux 3.0, il intègre GNOME 3, il remplace le gestionnaire de session par LightDM, il intègre les loupes (lens) à même le tableau de bord et il redessine complètement la Logithèque.



Distribution Lucid (10.04)



Distribution Oneiric (11.10)

Si vous utilisez encore l'une de ces versions d'Ubuntu et n'avez pas encore envisagé un scénario de mise à niveau, profitez du prochain mois pour l'élaborer. À partir du 9 mai 2013, il n'y aura plus de nouvelle alerte de sécurité, ni de nouvelle mise à jour publiée concernant ces trois versions d'Ubuntu. S'il n'est pas obligatoire de procéder à une mise à niveau vers une version plus récente d'Ubuntu, elle reste néanmoins plus que conseillée. L'assistance technique pour ces versions d'Ubuntu deviendra progressivement plus difficile à obtenir, puisque de moins en moins de gens les utilisent, passant à une version plus récente d'Ubuntu. De plus, de l'information à propos d'elles deviendra plus difficile à trouver, car la documentation sera tranquillement mise à jour pour refléter les nouvelles avancées d'Ubuntu. Enfin, conserver un système qui n'est plus maintenu peut être considéré comme un risque de sécurité. 

Quelles options de mises à niveau s'offrent à moi ?

Il est fortement encouragé d'effectuer une mise à niveau de votre système vers une version plus récente, toujours soutenue d'Ubuntu. Voici les options qui s'offrent à vous: 

En mise à niveau, vous ne pouvez migrer directement que vers la version 12.04 LTS d'Ubuntu (The Precise Pangolin). Le gestionnaire de mises à jour vous propose d'effectuer une migration vers Ubuntu 12.04 LTS ; suivez simplement les instructions qui s'affichent à l'écran pour procéder à la mise à niveau.

Que faire si je ne souhaite pas mettre mon système à niveau ?

Pour ceux qui souhaiteraient tout de même rester sur leur héron, leur lynx ou leur ocelot, notez que les dépôts officiels ne proposeront bientôt plus de paquets/logiciels pour ces trois versions. Ceux-ci seront migrés vers un dépôt d'archives, destinés à contenir les logiciels des versions obsolètes d'Ubuntu. Les paquets de ces dépôts ne sont évidemment plus mis à jour ; néanmoins, vous pourrez ainsi continuer à utiliser la Logithèque ou tout autre système d'installation de logiciels. À partir du 9 mai prochain, vous devrez changer le contenu du fichier /etc/apt/sources.list, listant l'ensemble des sources de logiciels auxquels vous avez accès, afin que le serveur de source soit "http://old-releases.ubuntu.com/ubuntu/".   

Source planet.ubuntu-fr.org

« Modifié: août 03, 2013, 12:24:58 pm par Animateur »
Membre de l'APRIL (www.april.org) / Membre du bureau Association "Debian Facile"  (https://debian-facile.org)// Membre du FabLab de Lannion (www.fablab-lannion.org)